%define name caprice32
%define version 4.2.0
%define distsuffix plf
%define release %mkrel 1

Summary: CaPriCe32 - Amstrad CPC Emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}-src.tar.bz2
Source1: %{name}.png
#this is the same icon as xcpc, but converted in png
Source2: %{name}
Group: Emulators
License: GPL
#v2
#except for cpc roms, which just are just allowed be distributed
URL: http://caprice32.sourceforge.net/
BuildRequires: SDL-devel
BuildRoot: %{_tmppath}/%{name}-build


%description
CaPriCe32 emulates the Amstrad CPC home computer models 464, 664 and 6128 
faithfully on your PC.
Detailed usage instructions can be found in the included documentation.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -c -q
perl -pi -e "s|\r\n|\n|g" README.txt

%build
%make -f makefile.unix
#RELEASE=true

%install
rm -rf %{buildroot}
#binary
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 cap32 %{buildroot}%{_bindir}
#wrapper
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}
#roms
install -d -m 755 %{buildroot}%{_datadir}/%{name}/rom
install -m 644 rom/* %{buildroot}%{_datadir}/%{name}/rom/
#config
install -m 644 cap32.cfg %{buildroot}%{_datadir}/%{name}/
#icon
install -d -m 755 %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}/


#old menu
install -d -m 755 %{buildroot}%{_menudir}
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/%{name}"\
 needs="X11"\
 section="More Applications/Emulators"\
 icon="%{name}.png"\
 title="CaPriCe32"\
 longtitle="%{Summary}"\
 xdg="true"
EOF

#xdg menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=CaPriCe32
Comment=%{Summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF


%files
%defattr(-,root,root)
%doc README.txt
#COPYING.txt
%attr(0755,root,root) %{_bindir}/cap32
%attr(0755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_iconsdir}/*
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Sun Jul 29 2007 Guillaume Bedot <littletux@zarb.org> 4.2.0-1plf2008.0
- First PLF package for caprice32
